Welches Framework läuft auf welchem Betriebssystem

18/11/2008 - 09:49 von Michael Andreas | Report spam
Hallo,

ich möchte meine Programme so entwickeln, dass sie
möglichst noch auf Win2000 und WinXP laufen.
Folgende Erkenntnisse hab ich gewonnen:
- unter Win2000 kann ich nur bis Framework 2.0 SP1 benutzen
- Framework 2.0 SP2 ist in Framework 3.5 enthalten und kann nicht
separat installiert werden. ==> ab 2.0 SP2 ist nur XP möglich.
- Außerdem gibt es noch diverse Redistributable Kits

das Ganze ist sehr kompliziert.

Meine Fragen:
Bis zu welcher Framework Version sind meine Programme in Win2000 lauffàhig?
Wo finde ich eine Tabelle die die Abhàngigkeiten darstellt?

Danke Michael
 

Lesen sie die antworten

#1 Frank Dzaebel
18/11/2008 - 11:08 | Warnen spam
Hallo Michael,

das Ganze ist sehr kompliziert.
Bis zu welcher Framework Version sind meine Programme
in Win2000 lauffàhig? Wo finde ich eine Tabelle die
die Abhàngigkeiten darstellt?



Normal eben nur unterhalb oder gleich .NET 2.0
Original Release mit entsprechendem OS-SP.
Allerdings sollen jetzt demnàchst
die Framework-Fixes in einer Art Windows-Update laufen,
da "könnte" es sein, dass auch .NET 2.0 SP2 auf
auf W2k laufen könnte. Letzteres ist aber offiziell
vollkommen ungesichert.

Hier klingt an, dass eventuell eine Nutzung
des .NET 2.0 SP2 möglich ist (also wenn keine Breaking
changes benutzt werden), aber es ist nicht offiziell.

[Is there a way to extract .NET 2.0 from the .NET 3.5?]
http://stackoverflow.com/questions/...ork-20-sp2


ciao Frank
Dipl.Inf. Frank Dzaebel [MCP/MVP C#]
http://Dzaebel.NET

Ähnliche fragen